PLplot: plplot.core.PLStream Class Reference

PLplot 5.10.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Public Member Functions | List of all members
plplot.core.PLStream Class Reference
Inheritance diagram for plplot.core.PLStream:

## Public Member Functions
| PLStream ()
int | set_stream ()
void | openlib ()
void | setcontlabelformat (int lexp, int sigdig)
void | setcontlabelparam (double offset, double size, double spacing, int active)
void | adv (int page)
void | arc (double x, double y, double a, double b, double angle1, double angle2, double rotate, boolean fill)
void | axes (double x0, double y0, String xopt, double xtick, int nxsub, String yopt, double ytick, int nysub)
void | bin (double[] x, double[] y, int center)
void | bop ()
void | box (String xopt, double xtick, int nxsub, String yopt, double ytick, int nysub)
void | box3 (String xopt, String xlabel, double xtick, int nsubx, String yopt, String ylabel, double ytick, int nsuby, String zopt, String zlabel, double ztick, int nsubz)
void | btime (int year[], int month[], int day[], int hour[], int min[], double sec[], double ctime)
void | calc_world (double rx, double ry, double[] wx, double[] wy, int[] window)
void | clear ()
void | col0 (int icol0)
void | col1 (double col1)
void | configtime (double scale, double offset1, double offset2, int ccontrol, boolean ifbtime_offset, int year, int month, int day, int hour, int min, double sec)
void | cont (double[][] f, int kx, int lx, int ky, int ly, double[] clevel, double[][] pltr, double[][] OBJECT_DATA)
void | cpstrm (PLStream pls, boolean flags)
void | ctime (int year, int month, int day, int hour, int min, double sec, double ctime[])
void | end ()
void | end1 ()
void | env (double xmin, double xmax, double ymin, double ymax, int just, int axis)
void | env0 (double xmin, double xmax, double ymin, double ymax, int just, int axis)
void | eop ()
void | errx (double[] xmin, double[] xmax, double[] y)
void | erry (double[] x, double[] ymin, double[] ymax)
void | famadv ()
void | fill (double[] x, double[] y)
void | fill3 (double[] x, double[] y, double[] z)
void | flush ()
void | font (int ifont)
void | fontld (int fnt)
void | gchr (double[] p_def, double[] p_ht)
void | gcol0 (int icol0, int[] r, int[] g, int[] b)
void | gcol0a (int icol0, int[] r, int[] g, int[] b, double[] a)
void | gcolbg (int[] r, int[] g, int[] b)
void | gcolbga (int[] r, int[] g, int[] b, double[] a)
void | gcompression (int[] compression)
void | gdev (StringBuffer dev)
void | gdidev (double[] mar, double[] aspect, double[] jx, double[] jy)
void | gdiori (double[] rot)
void | gdiplt (double[] xmin, double[] xmax, double[] ymin, double[] ymax)
int | getCursor (PLGraphicsIn gin)
void | gfam (int[] fam, int[] num, int[] bmax)
void | gfci (long[] pfci)
void | gfnam (StringBuffer fnam)
void | gfont (int[] family, int[] style, int[] weight)
void | glevel (int[] p_level)
void | gpage (double[] xp, double[] yp, int[] xleng, int[] yleng, int[] xoff, int[] yoff)
void | gra ()
void | gradient (double[] x, double[] y, double angle)
void | griddata (double[] x, double[] y, double[] z, double[] xg, double[] yg, double[][] zg, int type, double data)
void | gspa (double[] xmin, double[] xmax, double[] ymin, double[] ymax)
void | gver (StringBuffer ver)
void | gvpd (double[] xmin, double[] xmax, double[] ymin, double[] ymax)
void | gvpw (double[] xmin, double[] xmax, double[] ymin, double[] ymax)
void | gxax (int[] digmax, int[] digits)
void | gyax (int[] digmax, int[] digits)
void | gzax (int[] digmax, int[] digits)
void | hist (double[] data, double datmin, double datmax, int nbin, int oldwin)
void | image (double[][] data, double xmin, double xmax, double ymin, double ymax, double zmin, double zmax, double Dxmin, double Dxmax, double Dymin, double Dymax)
void | imagefr (double[][] data, double xmin, double xmax, double ymin, double ymax, double zmin, double zmax, double valuemin, double valuemax, double[][] pltr_im, double[][] OBJECT_DATA_im)
void | init ()
void | join (double x1, double y1, double x2, double y2)
void | lab (String xlabel, String ylabel, String tlabel)
void | legend (double[] p_legend_width, double[] p_legend_height, int opt, int position, double x, double y, double plot_width, int bg_color, int bb_color, int bb_style, int nrow, int ncolumn, int[] opt_array, double text_offset, double text_scale, double text_spacing, double text_justification, int[] text_colors, String[] text, int[] box_colors, int[] box_patterns, double[] box_scales, double[] box_line_widths, int[] line_colors, int[] line_styles, double[] line_widths, int[] symbol_colors, double[] symbol_scales, int[] symbol_numbers, String[] symbols)
void | colorbar (double[] p_colorbar_width, double[] p_colorbar_height, int opt, int position, double x, double y, double x_length, double y_length, int bg_color, int bb_color, int bb_style, double low_cap_color, double high_cap_color, int cont_color, double cont_width, int[] label_opts, String[] labels, String[] axis_opts, double[] ticks, int[] sub_ticks, int[] n_values, double[][] values)
void | lightsource (double x, double y, double z)
void | line (double[] x, double[] y)
void | line3 (double[] x, double[] y, double[] z)
void | lsty (int lin)
void | map (PLCallbackMapform mapform, String type, double minlong, double maxlong, double minlat, double maxlat)
void | meridians (PLCallbackMapform mapform, double dlong, double dlat, double minlong, double maxlong, double minlat, double maxlat)
void | minMax2dGrid (double[][] f, double[] fmax, double[] fmin)
void | mesh (double[] x, double[] y, double[][] z, int opt)
void | meshc (double[] x, double[] y, double[][] z, int opt, double[] clevel)
void | mtex (String side, double disp, double pos, double just, String text)
void | mtex3 (String side, double disp, double pos, double just, String text)
void | plot3d (double[] x, double[] y, double[][] z, int opt, boolean side)
void | plot3dc (double[] x, double[] y, double[][] z, int opt, double[] clevel)
void | plot3dcl (double[] x, double[] y, double[][] z, int opt, double[] clevel, int ixstart, int[] indexymin, int[] indexymax)
void | surf3d (double[] x, double[] y, double[][] z, int opt, double[] clevel)
void | surf3dl (double[] x, double[] y, double[][] z, int opt, double[] clevel, int ixstart, int[] indexymin, int[] indexymax)
void | parseopts (String[] argv, int mode)
void | pat (int[] inc, int[] del)
void | path (int n, double x1, double y1, double x2, double y2)
void | poin (double[] x, double[] y, int code)
void | poin3 (double[] x, double[] y, double[] z, int code)
void | poly3 (double[] x, double[] y, double[] z, boolean[] draw, boolean ifcc)
void | prec (int setp, int prec)
void | psty (int patt)
void | ptex (double x, double y, double dx, double dy, double just, String text)
void | ptex3 (double x, double y, double z, double dx, double dy, double dz, double sx, double sy, double sz, double just, String text)
double | randd ()
void | replot ()
void | schr (double def, double scale)
void | scmap0 (int[] r, int[] g, int[] b)
void | scmap0a (int[] r, int[] g, int[] b, double[] a)
void | scmap0n (int ncol0)
void | scmap1 (int[] r, int[] g, int[] b)
void | scmap1a (int[] r, int[] g, int[] b, double[] a)
void | scmap1l (boolean itype, double[] intensity, double[] coord1, double[] coord2, double[] coord3, boolean[] alt_hue_path)
void | scmap1l (boolean itype, double[] intensity, double[] coord1, double[] coord2, double[] coord3)
void | scmap1la (boolean itype, double[] intensity, double[] coord1, double[] coord2, double[] coord3, double[] a, boolean[] alt_hue_path)
void | scmap1la (boolean itype, double[] intensity, double[] coord1, double[] coord2, double[] coord3, double[] a)
void | scmap1n (int ncol1)
void | scmap1_range (double min_color, double max_color)
void | gcmap1_range (double[] min_color, double[] max_color)
void | scol0 (int icol0, int r, int g, int b)
void | scol0a (int icol0, int r, int g, int b, double a)
void | scolbg (int r, int g, int b)
void | scolbga (int r, int g, int b, double a)
void | scolor (int color)
void | scompression (int compression)
void | sdev (String devname)
void | sdidev (double mar, double aspect, double jx, double jy)
void | sdimap (int dimxmin, int dimxmax, int dimymin, int dimymax, double dimxpmm, double dimypmm)
void | sdiori (double rot)
void | sdiplt (double xmin, double ymin, double xmax, double ymax)
void | sdiplz (double xmin, double ymin, double xmax, double ymax)
void | seed (long s)
void | sesc (char esc)
void | setopt (String opt, String optarg)
void | sfam (int fam, int num, int bmax)
void | sfci (long fci)
void | sfnam (String fnam)
void | sfont (int family, int style, int weight)
void | shades (double[][] a, double xmin, double xmax, double ymin, double ymax, double[] clevel, double fill_width, int cont_color, double cont_width, boolean rectangular, double[][] pltr, double[][] OBJECT_DATA)
void | shade (double[][] a, double left, double right, double bottom, double top, double shade_min, double shade_max, int sh_cmap, double sh_color, double sh_width, int min_color, double min_width, int max_color, double max_width, boolean rectangular, double[][] pltr, double[][] OBJECT_DATA)
void | slabelfunc (PLCallbackLabel label, Object obj)
void | slabelfunc (PLCallbackLabel label)
void | smaj (double def, double scale)
void | smin (double def, double scale)
void | sori (int ori)
void | spage (double xp, double yp, int xleng, int yleng, int xoff, int yoff)
void | spal0 (String filename)
void | spal1 (String filename, boolean interpolate)
void | spause (boolean pause)
void | sstrm (int strm)
void | ssub (int nx, int ny)
void | ssym (double def, double scale)
void | star (int nx, int ny)
void | start (String devname, int nx, int ny)
void | stransform (PLCallbackCT coordTrans, Object data)
void | string (double[] x, double[] y, String string)
void | string3 (double[] x, double[] y, double[] z, String string)
void | stripa (int id, int pen, double x, double y)
void | stripc (int[] id, String xspec, String yspec, double xmin, double xmax, double xjump, double ymin, double ymax, double xlpos, double ylpos, boolean y_ascl, boolean acc, int colbox, int collab, int[] colline, int[] styline, String[] legline, String labx, String laby, String labtop)
void | stripd (int id)
void | styl (int[] mark, int[] space)
void | svect (double[] arrow_x, double[] arrow_y, boolean fill)
void | svpa (double xmin, double xmax, double ymin, double ymax)
void | sxax (int digmax, int digits)
void | syax (int digmax, int digits)
void | sym (double[] x, double[] y, int code)
void | szax (int digmax, int digits)
void | text ()
void | timefmt (String fmt)
void | vasp (double aspect)
void | vect (double[][] u, double[][] v, double scale, double[][] pltr, double[][] OBJECT_DATA)
void | vpas (double xmin, double xmax, double ymin, double ymax, double aspect)
void | vpor (double xmin, double xmax, double ymin, double ymax)
void | vsta ()
void | w3d (double basex, double basey, double height, double xmin0, double xmax0, double ymin0, double ymax0, double zmin0, double zmax0, double alt, double az)
void | width (int width)
void | wind (double xmin, double xmax, double ymin, double ymax)
void | xormod (boolean mode, boolean[] status)
void | ClearOpts ()
void | ResetOpts ()
void | SetUsage (String program_string, String usage_string)
void | OptUsage ()
void | hlsrgb (double h, double l, double s, double[] r, double[] g, double[] b)
void | rgbhls (double r, double g, double b, double[] h, double[] l, double[] s)
void | cpstrm (int iplsr, int flags)
void | plot3d (double[] x, double[] y, double[][] z, int opt, int side)
void | poly3 (double[] x, double[] y, double[] z, int[] draw, int ifcc)
void | scmap1l (int itype, double[] intensity, double[] coord1, double[] coord2, double[] coord3, int[] alt_hue_path)
void | shades (double[][] a, double xmin, double xmax, double ymin, double ymax, double[] clevel, double fill_width, int cont_color, double cont_width, int rectangular, double[][] pltr, double[][] OBJECT_DATA)
void | shade (double[][] a, double left, double right, double bottom, double top, double shade_min, double shade_max, int sh_cmap, double sh_color, double sh_width, int min_color, double min_width, int max_color, double max_width, int rectangular, double[][] pltr, double[][] OBJECT_DATA)
void | spause (int pause)
void | stripc (int[] id, String xspec, String yspec, double xmin, double xmax, double xjump, double ymin, double ymax, double xlpos, double ylpos, int y_ascl, int acc, int colbox, int collab, int[] colline, int[] styline, String[] legline, String labx, String laby, String labtop)
void | svect (double[] arrow_x, double[] arrow_y, int fill)
void | xormod (int mode, int[] status)

## Additional Inherited Members
Static Public Attributes inherited from plplot.core.plplotjavacConstants
static final String | jPLFLTArray = plplotjavacJNI.jPLFLTArray_get()
static final String | jPLFLTbracket = plplotjavacJNI.jPLFLTbracket_get()
static final String | jPLFLTbracket2 = plplotjavacJNI.jPLFLTbracket2_get()
static final int | PLESC_SET_RGB = plplotjavacJNI.PLESC_SET_RGB_get()
static final int | PLESC_ALLOC_NCOL = plplotjavacJNI.PLESC_ALLOC_NCOL_get()
static final int | PLESC_SET_LPB = plplotjavacJNI.PLESC_SET_LPB_get()
static final int | PLESC_EXPOSE = plplotjavacJNI.PLESC_EXPOSE_get()
static final int | PLESC_RESIZE = plplotjavacJNI.PLESC_RESIZE_get()
static final int | PLESC_REDRAW = plplotjavacJNI.PLESC_REDRAW_get()
static final int | PLESC_TEXT = plplotjavacJNI.PLESC_TEXT_get()
static final int | PLESC_GRAPH = plplotjavacJNI.PLESC_GRAPH_get()
static final int | PLESC_FILL = plplotjavacJNI.PLESC_FILL_get()
static final int | PLESC_DI = plplotjavacJNI.PLESC_DI_get()
static final int | PLESC_FLUSH = plplotjavacJNI.PLESC_FLUSH_get()
static final int | PLESC_EH = plplotjavacJNI.PLESC_EH_get()
static final int | PLESC_GETC = plplotjavacJNI.PLESC_GETC_get()
static final int | PLESC_SWIN = plplotjavacJNI.PLESC_SWIN_get()
static final int | PLESC_DOUBLEBUFFERING = plplotjavacJNI.PLESC_DOUBLEBUFFERING_get()
static final int | PLESC_XORMOD = plplotjavacJNI.PLESC_XORMOD_get()
static final int | PLESC_SET_COMPRESSION = plplotjavacJNI.PLESC_SET_COMPRESSION_get()
static final int | PLESC_CLEAR = plplotjavacJNI.PLESC_CLEAR_get()
static final int | PLESC_DASH = plplotjavacJNI.PLESC_DASH_get()
static final int | PLESC_HAS_TEXT = plplotjavacJNI.PLESC_HAS_TEXT_get()
static final int | PLESC_IMAGE = plplotjavacJNI.PLESC_IMAGE_get()
static final int | PLESC_IMAGEOPS = plplotjavacJNI.PLESC_IMAGEOPS_get()
static final int | PLESC_PL2DEVCOL = plplotjavacJNI.PLESC_PL2DEVCOL_get()
static final int | PLESC_DEV2PLCOL = plplotjavacJNI.PLESC_DEV2PLCOL_get()
static final int | PLESC_SETBGFG = plplotjavacJNI.PLESC_SETBGFG_get()
static final int | PLESC_DEVINIT = plplotjavacJNI.PLESC_DEVINIT_get()
static final int | PLESC_GETBACKEND = plplotjavacJNI.PLESC_GETBACKEND_get()
static final int | PLESC_BEGIN_TEXT = plplotjavacJNI.PLESC_BEGIN_TEXT_get()
static final int | PLESC_TEXT_CHAR = plplotjavacJNI.PLESC_TEXT_CHAR_get()
static final int | PLESC_CONTROL_CHAR = plplotjavacJNI.PLESC_CONTROL_CHAR_get()
static final int | PLESC_END_TEXT = plplotjavacJNI.PLESC_END_TEXT_get()
static final int | PLESC_START_RASTERIZE = plplotjavacJNI.PLESC_START_RASTERIZE_get()
static final int | PLESC_END_RASTERIZE = plplotjavacJNI.PLESC_END_RASTERIZE_get()
static final int | PLESC_ARC = plplotjavacJNI.PLESC_ARC_get()
static final int | PLESC_GRADIENT = plplotjavacJNI.PLESC_GRADIENT_get()
static final int | PLESC_MODESET = plplotjavacJNI.PLESC_MODESET_get()
static final int | PLESC_MODEGET = plplotjavacJNI.PLESC_MODEGET_get()
static final int | PLTEXT_FONTCHANGE = plplotjavacJNI.PLTEXT_FONTCHANGE_get()
static final int | PLTEXT_SUPERSCRIPT = plplotjavacJNI.PLTEXT_SUPERSCRIPT_get()
static final int | PLTEXT_SUBSCRIPT = plplotjavacJNI.PLTEXT_SUBSCRIPT_get()
static final int | PLTEXT_BACKCHAR = plplotjavacJNI.PLTEXT_BACKCHAR_get()
static final int | PLTEXT_OVERLINE = plplotjavacJNI.PLTEXT_OVERLINE_get()
static final int | PLTEXT_UNDERLINE = plplotjavacJNI.PLTEXT_UNDERLINE_get()
static final int | ZEROW2B = plplotjavacJNI.ZEROW2B_get()
static final int | ZEROW2D = plplotjavacJNI.ZEROW2D_get()
static final int | ONEW2B = plplotjavacJNI.ONEW2B_get()
static final int | ONEW2D = plplotjavacJNI.ONEW2D_get()
static final int | PLSWIN_DEVICE = plplotjavacJNI.PLSWIN_DEVICE_get()
static final int | PLSWIN_WORLD = plplotjavacJNI.PLSWIN_WORLD_get()
static final int | PL_X_AXIS = plplotjavacJNI.PL_X_AXIS_get()
static final int | PL_Y_AXIS = plplotjavacJNI.PL_Y_AXIS_get()
static final int | PL_Z_AXIS = plplotjavacJNI.PL_Z_AXIS_get()
static final int | PL_OPT_ENABLED = plplotjavacJNI.PL_OPT_ENABLED_get()
static final int | PL_OPT_ARG = plplotjavacJNI.PL_OPT_ARG_get()
static final int | PL_OPT_NODELETE = plplotjavacJNI.PL_OPT_NODELETE_get()
static final int | PL_OPT_INVISIBLE = plplotjavacJNI.PL_OPT_INVISIBLE_get()
static final int | PL_OPT_DISABLED = plplotjavacJNI.PL_OPT_DISABLED_get()
static final int | PL_OPT_FUNC = plplotjavacJNI.PL_OPT_FUNC_get()
static final int | PL_OPT_BOOL = plplotjavacJNI.PL_OPT_BOOL_get()
static final int | PL_OPT_INT = plplotjavacJNI.PL_OPT_INT_get()
static final int | PL_OPT_FLOAT = plplotjavacJNI.PL_OPT_FLOAT_get()
static final int | PL_OPT_STRING = plplotjavacJNI.PL_OPT_STRING_get()
static final int | PL_PARSE_PARTIAL = plplotjavacJNI.PL_PARSE_PARTIAL_get()
static final int | PL_PARSE_FULL = plplotjavacJNI.PL_PARSE_FULL_get()
static final int | PL_PARSE_QUIET = plplotjavacJNI.PL_PARSE_QUIET_get()
static final int | PL_PARSE_NODELETE = plplotjavacJNI.PL_PARSE_NODELETE_get()
static final int | PL_PARSE_SHOWALL = plplotjavacJNI.PL_PARSE_SHOWALL_get()
static final int | PL_PARSE_OVERRIDE = plplotjavacJNI.PL_PARSE_OVERRIDE_get()
static final int | PL_PARSE_NOPROGRAM = plplotjavacJNI.PL_PARSE_NOPROGRAM_get()
static final int | PL_PARSE_NODASH = plplotjavacJNI.PL_PARSE_NODASH_get()
static final int | PL_PARSE_SKIP = plplotjavacJNI.PL_PARSE_SKIP_get()
static final int | PL_FCI_MARK = plplotjavacJNI.PL_FCI_MARK_get()
static final int | PL_FCI_IMPOSSIBLE = plplotjavacJNI.PL_FCI_IMPOSSIBLE_get()
static final int | PL_FCI_HEXDIGIT_MASK = plplotjavacJNI.PL_FCI_HEXDIGIT_MASK_get()
static final int | PL_FCI_HEXPOWER_MASK = plplotjavacJNI.PL_FCI_HEXPOWER_MASK_get()
static final int | PL_FCI_HEXPOWER_IMPOSSIBLE = plplotjavacJNI.PL_FCI_HEXPOWER_IMPOSSIBLE_get()
static final int | PL_FCI_FAMILY = plplotjavacJNI.PL_FCI_FAMILY_get()
static final int | PL_FCI_STYLE = plplotjavacJNI.PL_FCI_STYLE_get()
static final int | PL_FCI_WEIGHT = plplotjavacJNI.PL_FCI_WEIGHT_get()
static final int | PL_FCI_SANS = plplotjavacJNI.PL_FCI_SANS_get()
static final int | PL_FCI_SERIF = plplotjavacJNI.PL_FCI_SERIF_get()
static final int | PL_FCI_MONO = plplotjavacJNI.PL_FCI_MONO_get()
static final int | PL_FCI_SCRIPT = plplotjavacJNI.PL_FCI_SCRIPT_get()
static final int | PL_FCI_SYMBOL = plplotjavacJNI.PL_FCI_SYMBOL_get()
static final int | PL_FCI_UPRIGHT = plplotjavacJNI.PL_FCI_UPRIGHT_get()
static final int | PL_FCI_ITALIC = plplotjavacJNI.PL_FCI_ITALIC_get()
static final int | PL_FCI_OBLIQUE = plplotjavacJNI.PL_FCI_OBLIQUE_get()
static final int | PL_FCI_MEDIUM = plplotjavacJNI.PL_FCI_MEDIUM_get()
static final int | PL_FCI_BOLD = plplotjavacJNI.PL_FCI_BOLD_get()
static final int | PL_MAXKEY = plplotjavacJNI.PL_MAXKEY_get()
static final int | PL_MAXWINDOWS = plplotjavacJNI.PL_MAXWINDOWS_get()
static final int | PL_NOTSET = plplotjavacJNI.PL_NOTSET_get()
static final int | PLESC_DOUBLEBUFFERING_ENABLE = plplotjavacJNI.PLESC_DOUBLEBUFFERING_ENABLE_get()
static final int | PLESC_DOUBLEBUFFERING_DISABLE = plplotjavacJNI.PLESC_DOUBLEBUFFERING_DISABLE_get()
static final int | PLESC_DOUBLEBUFFERING_QUERY = plplotjavacJNI.PLESC_DOUBLEBUFFERING_QUERY_get()
static final int | PL_BIN_DEFAULT = plplotjavacJNI.PL_BIN_DEFAULT_get()
static final int | PL_BIN_CENTRED = plplotjavacJNI.PL_BIN_CENTRED_get()
static final int | PL_BIN_NOEXPAND = plplotjavacJNI.PL_BIN_NOEXPAND_get()
static final int | PL_BIN_NOEMPTY = plplotjavacJNI.PL_BIN_NOEMPTY_get()
static final int | GRID_CSA = plplotjavacJNI.GRID_CSA_get()
static final int | GRID_DTLI = plplotjavacJNI.GRID_DTLI_get()
static final int | GRID_NNI = plplotjavacJNI.GRID_NNI_get()
static final int | GRID_NNIDW = plplotjavacJNI.GRID_NNIDW_get()
static final int | GRID_NNLI = plplotjavacJNI.GRID_NNLI_get()
static final int | GRID_NNAIDW = plplotjavacJNI.GRID_NNAIDW_get()
static final int | PL_HIST_DEFAULT = plplotjavacJNI.PL_HIST_DEFAULT_get()
static final int | PL_HIST_NOSCALING = plplotjavacJNI.PL_HIST_NOSCALING_get()
static final int | PL_HIST_IGNORE_OUTLIERS = plplotjavacJNI.PL_HIST_IGNORE_OUTLIERS_get()
static final int | PL_HIST_NOEXPAND = plplotjavacJNI.PL_HIST_NOEXPAND_get()
static final int | PL_HIST_NOEMPTY = plplotjavacJNI.PL_HIST_NOEMPTY_get()
static final int | PL_POSITION_LEFT = plplotjavacJNI.PL_POSITION_LEFT_get()
static final int | PL_POSITION_RIGHT = plplotjavacJNI.PL_POSITION_RIGHT_get()
static final int | PL_POSITION_TOP = plplotjavacJNI.PL_POSITION_TOP_get()
static final int | PL_POSITION_BOTTOM = plplotjavacJNI.PL_POSITION_BOTTOM_get()
static final int | PL_POSITION_INSIDE = plplotjavacJNI.PL_POSITION_INSIDE_get()
static final int | PL_POSITION_OUTSIDE = plplotjavacJNI.PL_POSITION_OUTSIDE_get()
static final int | PL_POSITION_VIEWPORT = plplotjavacJNI.PL_POSITION_VIEWPORT_get()
static final int | PL_POSITION_SUBPAGE = plplotjavacJNI.PL_POSITION_SUBPAGE_get()
static final int | PL_LEGEND_NONE = plplotjavacJNI.PL_LEGEND_NONE_get()
static final int | PL_LEGEND_COLOR_BOX = plplotjavacJNI.PL_LEGEND_COLOR_BOX_get()
static final int | PL_LEGEND_LINE = plplotjavacJNI.PL_LEGEND_LINE_get()
static final int | PL_LEGEND_SYMBOL = plplotjavacJNI.PL_LEGEND_SYMBOL_get()
static final int | PL_LEGEND_TEXT_LEFT = plplotjavacJNI.PL_LEGEND_TEXT_LEFT_get()
static final int | PL_LEGEND_BACKGROUND = plplotjavacJNI.PL_LEGEND_BACKGROUND_get()
static final int | PL_LEGEND_BOUNDING_BOX = plplotjavacJNI.PL_LEGEND_BOUNDING_BOX_get()
static final int | PL_LEGEND_ROW_MAJOR = plplotjavacJNI.PL_LEGEND_ROW_MAJOR_get()
static final int | PL_COLORBAR_LABEL_LEFT = plplotjavacJNI.PL_COLORBAR_LABEL_LEFT_get()
static final int | PL_COLORBAR_LABEL_RIGHT = plplotjavacJNI.PL_COLORBAR_LABEL_RIGHT_get()
static final int | PL_COLORBAR_LABEL_TOP = plplotjavacJNI.PL_COLORBAR_LABEL_TOP_get()
static final int | PL_COLORBAR_LABEL_BOTTOM = plplotjavacJNI.PL_COLORBAR_LABEL_BOTTOM_get()
static final int | PL_COLORBAR_IMAGE = plplotjavacJNI.PL_COLORBAR_IMAGE_get()
static final int | PL_COLORBAR_SHADE = plplotjavacJNI.PL_COLORBAR_SHADE_get()
static final int | PL_COLORBAR_GRADIENT = plplotjavacJNI.PL_COLORBAR_GRADIENT_get()
static final int | PL_COLORBAR_CAP_NONE = plplotjavacJNI.PL_COLORBAR_CAP_NONE_get()
static final int | PL_COLORBAR_CAP_LOW = plplotjavacJNI.PL_COLORBAR_CAP_LOW_get()
static final int | PL_COLORBAR_CAP_HIGH = plplotjavacJNI.PL_COLORBAR_CAP_HIGH_get()
static final int | PL_COLORBAR_SHADE_LABEL = plplotjavacJNI.PL_COLORBAR_SHADE_LABEL_get()
static final int | PL_COLORBAR_ORIENT_RIGHT = plplotjavacJNI.PL_COLORBAR_ORIENT_RIGHT_get()
static final int | PL_COLORBAR_ORIENT_TOP = plplotjavacJNI.PL_COLORBAR_ORIENT_TOP_get()
static final int | PL_COLORBAR_ORIENT_LEFT = plplotjavacJNI.PL_COLORBAR_ORIENT_LEFT_get()
static final int | PL_COLORBAR_ORIENT_BOTTOM = plplotjavacJNI.PL_COLORBAR_ORIENT_BOTTOM_get()
static final int | PL_COLORBAR_BACKGROUND = plplotjavacJNI.PL_COLORBAR_BACKGROUND_get()
static final int | PL_COLORBAR_BOUNDING_BOX = plplotjavacJNI.PL_COLORBAR_BOUNDING_BOX_get()
static final int | PL_DRAWMODE_UNKNOWN = plplotjavacJNI.PL_DRAWMODE_UNKNOWN_get()
static final int | PL_DRAWMODE_DEFAULT = plplotjavacJNI.PL_DRAWMODE_DEFAULT_get()
static final int | PL_DRAWMODE_REPLACE = plplotjavacJNI.PL_DRAWMODE_REPLACE_get()
static final int | PL_DRAWMODE_XOR = plplotjavacJNI.PL_DRAWMODE_XOR_get()
static final int | DRAW_LINEX = plplotjavacJNI.DRAW_LINEX_get()
static final int | DRAW_LINEY = plplotjavacJNI.DRAW_LINEY_get()
static final int | DRAW_LINEXY = plplotjavacJNI.DRAW_LINEXY_get()
static final int | MAG_COLOR = plplotjavacJNI.MAG_COLOR_get()
static final int | BASE_CONT = plplotjavacJNI.BASE_CONT_get()
static final int | TOP_CONT = plplotjavacJNI.TOP_CONT_get()
static final int | SURF_CONT = plplotjavacJNI.SURF_CONT_get()
static final int | DRAW_SIDES = plplotjavacJNI.DRAW_SIDES_get()
static final int | FACETED = plplotjavacJNI.FACETED_get()
static final int | MESH = plplotjavacJNI.MESH_get()

## Detailed Description

Definition at line 32 of file PLStream.java.

## Constructor & Destructor Documentation

plplot.core.PLStream.PLStream | ( |  | ) |
| inline

Definition at line 39 of file PLStream.java.

## Member Function Documentation

void plplot.core.PLStream.adv | ( | int | page | ) |
| inline

Definition at line 128 of file PLStream.java.

void plplot.core.PLStream.arc | ( | double | x,
|  | double | y,
|  | double | a,
|  | double | b,
|  | double | angle1,
|  | double | angle2,
|  | double | rotate,
|  | boolean | fill
| ) |  |
| inline

Definition at line 134 of file PLStream.java.

void plplot.core.PLStream.axes | ( | double | x0,
|  | double | y0,
|  | String | xopt,
|  | double | xtick,
|  | int | nxsub,
|  | String | yopt,
|  | double | ytick,
|  | int | nysub
| ) |  |
| inline

Definition at line 140 of file PLStream.java.

void plplot.core.PLStream.bin | ( | double[] | x,
|  | double[] | y,
|  | int | center
| ) |  |
| inline

Definition at line 147 of file PLStream.java.

void plplot.core.PLStream.bop | ( | void |  | ) |
| inline

Definition at line 153 of file PLStream.java.

void plplot.core.PLStream.box | ( | String | xopt,
|  | double | xtick,
|  | int | nxsub,
|  | String | yopt,
|  | double | ytick,
|  | int | nysub
| ) |  |
| inline

Definition at line 159 of file PLStream.java.

void plplot.core.PLStream.box3 | ( | String | xopt,
|  | String | xlabel,
|  | double | xtick,
|  | int | nsubx,
|  | String | yopt,
|  | String | ylabel,
|  | double | ytick,
|  | int | nsuby,
|  | String | zopt,
|  | String | zlabel,
|  | double | ztick,
|  | int | nsubz
| ) |  |
| inline

Definition at line 166 of file PLStream.java.

void plplot.core.PLStream.btime | ( | int | year[],
|  | int | month[],
|  | int | day[],
|  | int | hour[],
|  | int | min[],
|  | double | sec[],
|  | double | ctime
| ) |  |
| inline

Definition at line 175 of file PLStream.java.

void plplot.core.PLStream.calc_world | ( | double | rx,
|  | double | ry,
|  | double[] | wx,
|  | double[] | wy,
|  | int[] | window
| ) |  |
| inline

Definition at line 181 of file PLStream.java.

void plplot.core.PLStream.clear | ( | void |  | ) |
| inline

Definition at line 187 of file PLStream.java.

void plplot.core.PLStream.ClearOpts | ( | void |  | ) |
| inline

Definition at line 1215 of file PLStream.java.

void plplot.core.PLStream.col0 | ( | int | icol0 | ) |
| inline

Definition at line 193 of file PLStream.java.

void plplot.core.PLStream.col1 | ( | double | col1 | ) |
| inline

Definition at line 199 of file PLStream.java.

void plplot.core.PLStream.colorbar | ( | double[] | p_colorbar_width,
|  | double[] | p_colorbar_height,
|  | int | opt,
|  | int | position,
|  | double | x,
|  | double | y,
|  | double | x_length,
|  | double | y_length,
|  | int | bg_color,
|  | int | bb_color,
|  | int | bb_style,
|  | double | low_cap_color,
|  | double | high_cap_color,
|  | int | cont_color,
|  | double | cont_width,
|  | int[] | label_opts,
|  | String[] | labels,
|  | String[] | axis_opts,
|  | double[] | ticks,
|  | int[] | sub_ticks,
|  | int[] | n_values,
|  | double | values[][]
| ) |  |
| inline

Definition at line 558 of file PLStream.java.

void plplot.core.PLStream.configtime | ( | double | scale,
|  | double | offset1,
|  | double | offset2,
|  | int | ccontrol,
|  | boolean | ifbtime_offset,
|  | int | year,
|  | int | month,
|  | int | day,
|  | int | hour,
|  | int | min,
|  | double | sec
| ) |  |
| inline

Definition at line 205 of file PLStream.java.

void plplot.core.PLStream.cont | ( | double | f[][],
|  | int | kx,
|  | int | lx,
|  | int | ky,
|  | int | ly,
|  | double[] | clevel,
|  | double | pltr[][],
|  | double | OBJECT_DATA[][]
| ) |  |
| inline

Definition at line 215 of file PLStream.java.

void plplot.core.PLStream.cpstrm | ( | PLStream | pls,
|  | boolean | flags
| ) |  |
| inline

Definition at line 222 of file PLStream.java.

void plplot.core.PLStream.cpstrm | ( | int | iplsr,
|  | int | flags
| ) |  |
| inline

Definition at line 1253 of file PLStream.java.

void plplot.core.PLStream.ctime | ( | int | year,
|  | int | month,
|  | int | day,
|  | int | hour,
|  | int | min,
|  | double | sec,
|  | double | ctime[]
| ) |  |
| inline

Definition at line 228 of file PLStream.java.

void plplot.core.PLStream.end | ( |  | ) |
| inline

Definition at line 236 of file PLStream.java.

void plplot.core.PLStream.end1 | ( |  | ) |
| inline

Definition at line 244 of file PLStream.java.

void plplot.core.PLStream.env | ( | double | xmin,
|  | double | xmax,
|  | double | ymin,
|  | double | ymax,
|  | int | just,
|  | int | axis
| ) |  |
| inline

Definition at line 253 of file PLStream.java.

void plplot.core.PLStream.env0 | ( | double | xmin,
|  | double | xmax,
|  | double | ymin,
|  | double | ymax,
|  | int | just,
|  | int | axis
| ) |  |
| inline

Definition at line 259 of file PLStream.java.

void plplot.core.PLStream.eop | ( | void |  | ) |
| inline

Definition at line 265 of file PLStream.java.

void plplot.core.PLStream.errx | ( | double[] | xmin,
|  | double[] | xmax,
|  | double[] | y
| ) |  |
| inline

Definition at line 271 of file PLStream.java.

void plplot.core.PLStream.erry | ( | double[] | x,
|  | double[] | ymin,
|  | double[] | ymax
| ) |  |
| inline

Definition at line 277 of file PLStream.java.

void plplot.core.PLStream.famadv | ( | void |  | ) |
| inline

Definition at line 283 of file PLStream.java.

void plplot.core.PLStream.fill | ( | double[] | x,
|  | double[] | y
| ) |  |
| inline

Definition at line 289 of file PLStream.java.

void plplot.core.PLStream.fill3 | ( | double[] | x,
|  | double[] | y,
|  | double[] | z
| ) |  |
| inline

Definition at line 295 of file PLStream.java.

void plplot.core.PLStream.flush | ( | void |  | ) |
| inline

Definition at line 301 of file PLStream.java.

void plplot.core.PLStream.font | ( | int | ifont | ) |
| inline

Definition at line 307 of file PLStream.java.

void plplot.core.PLStream.fontld | ( | int | fnt | ) |
| inline

Definition at line 313 of file PLStream.java.

void plplot.core.PLStream.gchr | ( | double[] | p_def,
|  | double[] | p_ht
| ) |  |
| inline

Definition at line 319 of file PLStream.java.

void plplot.core.PLStream.gcmap1_range | ( | double[] | min_color,
|  | double[] | max_color
| ) |  |
| inline

Definition at line 834 of file PLStream.java.

void plplot.core.PLStream.gcol0 | ( | int | icol0,
|  | int[] | r,
|  | int[] | g,
|  | int[] | b
| ) |  |
| inline

Definition at line 325 of file PLStream.java.

void plplot.core.PLStream.gcol0a | ( | int | icol0,
|  | int[] | r,
|  | int[] | g,
|  | int[] | b,
|  | double[] | a
| ) |  |
| inline

Definition at line 331 of file PLStream.java.

void plplot.core.PLStream.gcolbg | ( | int[] | r,
|  | int[] | g,
|  | int[] | b
| ) |  |
| inline

Definition at line 337 of file PLStream.java.

void plplot.core.PLStream.gcolbga | ( | int[] | r,
|  | int[] | g,
|  | int[] | b,
|  | double[] | a
| ) |  |
| inline

Definition at line 343 of file PLStream.java.

void plplot.core.PLStream.gcompression | ( | int[] | compression | ) |
| inline

Definition at line 349 of file PLStream.java.

void plplot.core.PLStream.gdev | ( | StringBuffer | dev | ) |
| inline

Definition at line 355 of file PLStream.java.

void plplot.core.PLStream.gdidev | ( | double[] | mar,
|  | double[] | aspect,
|  | double[] | jx,
|  | double[] | jy
| ) |  |
| inline

Definition at line 361 of file PLStream.java.

void plplot.core.PLStream.gdiori | ( | double[] | rot | ) |
| inline

Definition at line 367 of file PLStream.java.

void plplot.core.PLStream.gdiplt | ( | double[] | xmin,
|  | double[] | xmax,
|  | double[] | ymin,
|  | double[] | ymax
| ) |  |
| inline

Definition at line 373 of file PLStream.java.

int plplot.core.PLStream.getCursor | ( | PLGraphicsIn | gin | ) |
| inline

Definition at line 379 of file PLStream.java.

void plplot.core.PLStream.gfam | ( | int[] | fam,
|  | int[] | num,
|  | int[] | bmax
| ) |  |
| inline

Definition at line 385 of file PLStream.java.

void plplot.core.PLStream.gfci | ( | long[] | pfci | ) |
| inline

Definition at line 391 of file PLStream.java.

void plplot.core.PLStream.gfnam | ( | StringBuffer | fnam | ) |
| inline

Definition at line 397 of file PLStream.java.

void plplot.core.PLStream.gfont | ( | int[] | family,
|  | int[] | style,
|  | int[] | weight
| ) |  |
| inline

Definition at line 403 of file PLStream.java.

void plplot.core.PLStream.glevel | ( | int[] | p_level | ) |
| inline

Definition at line 409 of file PLStream.java.

void plplot.core.PLStream.gpage | ( | double[] | xp,
|  | double[] | yp,
|  | int[] | xleng,
|  | int[] | yleng,
|  | int[] | xoff,
|  | int[] | yoff
| ) |  |
| inline

Definition at line 415 of file PLStream.java.

void plplot.core.PLStream.gra | ( | void |  | ) |
| inline

Definition at line 421 of file PLStream.java.

void plplot.core.PLStream.gradient | ( | double[] | x,
|  | double[] | y,
|  | double | angle
| ) |  |
| inline

Definition at line 427 of file PLStream.java.

void plplot.core.PLStream.griddata | ( | double[] | x,
|  | double[] | y,
|  | double[] | z,
|  | double[] | xg,
|  | double[] | yg,
|  | double | zg[][],
|  | int | type,
|  | double | data
| ) |  |
| inline

Definition at line 433 of file PLStream.java.

void plplot.core.PLStream.gspa | ( | double[] | xmin,
|  | double[] | xmax,
|  | double[] | ymin,
|  | double[] | ymax
| ) |  |
| inline

Definition at line 440 of file PLStream.java.

void plplot.core.PLStream.gver | ( | StringBuffer | ver | ) |
| inline

Definition at line 453 of file PLStream.java.

void plplot.core.PLStream.gvpd | ( | double[] | xmin,
|  | double[] | xmax,
|  | double[] | ymin,
|  | double[] | ymax
| ) |  |
| inline

Definition at line 459 of file PLStream.java.

void plplot.core.PLStream.gvpw | ( | double[] | xmin,
|  | double[] | xmax,
|  | double[] | ymin,
|  | double[] | ymax
| ) |  |
| inline

Definition at line 465 of file PLStream.java.

void plplot.core.PLStream.gxax | ( | int[] | digmax,
|  | int[] | digits
| ) |  |
| inline

Definition at line 471 of file PLStream.java.

void plplot.core.PLStream.gyax | ( | int[] | digmax,
|  | int[] | digits
| ) |  |
| inline

Definition at line 477 of file PLStream.java.

void plplot.core.PLStream.gzax | ( | int[] | digmax,
|  | int[] | digits
| ) |  |
| inline

Definition at line 483 of file PLStream.java.

void plplot.core.PLStream.hist | ( | double[] | data,
|  | double | datmin,
|  | double | datmax,
|  | int | nbin,
|  | int | oldwin
| ) |  |
| inline

Definition at line 489 of file PLStream.java.

void plplot.core.PLStream.hlsrgb | ( | double | h,
|  | double | l,
|  | double | s,
|  | double[] | r,
|  | double[] | g,
|  | double[] | b
| ) |  |
| inline

Definition at line 1239 of file PLStream.java.

void plplot.core.PLStream.image | ( | double | data[][],
|  | double | xmin,
|  | double | xmax,
|  | double | ymin,
|  | double | ymax,
|  | double | zmin,
|  | double | zmax,
|  | double | Dxmin,
|  | double | Dxmax,
|  | double | Dymin,
|  | double | Dymax
| ) |  |
| inline

Definition at line 501 of file PLStream.java.

void plplot.core.PLStream.imagefr | ( | double | data[][],
|  | double | xmin,
|  | double | xmax,
|  | double | ymin,
|  | double | ymax,
|  | double | zmin,
|  | double | zmax,
|  | double | valuemin,
|  | double | valuemax,
|  | double | pltr_im[][],
|  | double | OBJECT_DATA_im[][]
| ) |  |
| inline

Definition at line 507 of file PLStream.java.

void plplot.core.PLStream.init | ( | void |  | ) |
| inline

Definition at line 513 of file PLStream.java.

void plplot.core.PLStream.join | ( | double | x1,
|  | double | y1,
|  | double | x2,
|  | double | y2
| ) |  |
| inline

Definition at line 519 of file PLStream.java.

void plplot.core.PLStream.lab | ( | String | xlabel,
|  | String | ylabel,
|  | String | tlabel
| ) |  |
| inline

Definition at line 525 of file PLStream.java.

void plplot.core.PLStream.legend | ( | double[] | p_legend_width,
|  | double[] | p_legend_height,
|  | int | opt,
|  | int | position,
|  | double | x,
|  | double | y,
|  | double | plot_width,
|  | int | bg_color,
|  | int | bb_color,
|  | int | bb_style,
|  | int | nrow,
|  | int | ncolumn,
|  | int[] | opt_array,
|  | double | text_offset,
|  | double | text_scale,
|  | double | text_spacing,
|  | double | text_justification,
|  | int[] | text_colors,
|  | String[] | text,
|  | int[] | box_colors,
|  | int[] | box_patterns,
|  | double[] | box_scales,
|  | double[] | box_line_widths,
|  | int[] | line_colors,
|  | int[] | line_styles,
|  | double[] | line_widths,
|  | int[] | symbol_colors,
|  | double[] | symbol_scales,
|  | int[] | symbol_numbers,
|  | String[] | symbols
| ) |  |
| inline

Definition at line 531 of file PLStream.java.

void plplot.core.PLStream.lightsource | ( | double | x,
|  | double | y,
|  | double | z
| ) |  |
| inline

Definition at line 582 of file PLStream.java.

void plplot.core.PLStream.line | ( | double[] | x,
|  | double[] | y
| ) |  |
| inline

Definition at line 588 of file PLStream.java.

void plplot.core.PLStream.line3 | ( | double[] | x,
|  | double[] | y,
|  | double[] | z
| ) |  |
| inline

Definition at line 594 of file PLStream.java.

void plplot.core.PLStream.lsty | ( | int | lin | ) |
| inline

Definition at line 600 of file PLStream.java.

void plplot.core.PLStream.map | ( | PLCallbackMapform | mapform,
|  | String | type,
|  | double | minlong,
|  | double | maxlong,
|  | double | minlat,
|  | double | maxlat
| ) |  |
| inline

Definition at line 606 of file PLStream.java.

void plplot.core.PLStream.meridians | ( | PLCallbackMapform | mapform,
|  | double | dlong,
|  | double | dlat,
|  | double | minlong,
|  | double | maxlong,
|  | double | minlat,
|  | double | maxlat
| ) |  |
| inline

Definition at line 612 of file PLStream.java.

void plplot.core.PLStream.mesh | ( | double[] | x,
|  | double[] | y,
|  | double | z[][],
|  | int | opt
| ) |  |
| inline

Definition at line 624 of file PLStream.java.

void plplot.core.PLStream.meshc | ( | double[] | x,
|  | double[] | y,
|  | double | z[][],
|  | int | opt,
|  | double[] | clevel
| ) |  |
| inline

Definition at line 630 of file PLStream.java.

void plplot.core.PLStream.minMax2dGrid | ( | double | f[][],
|  | double[] | fmax,
|  | double[] | fmin
| ) |  |
| inline

Definition at line 618 of file PLStream.java.

void plplot.core.PLStream.mtex | ( | String | side,
|  | double | disp,
|  | double | pos,
|  | double | just,
|  | String | text
| ) |  |
| inline

Definition at line 642 of file PLStream.java.

void plplot.core.PLStream.mtex3 | ( | String | side,
|  | double | disp,
|  | double | pos,
|  | double | just,
|  | String | text
| ) |  |
| inline

Definition at line 648 of file PLStream.java.

void plplot.core.PLStream.openlib | ( |  | ) |
| inline

Definition at line 77 of file PLStream.java.

void plplot.core.PLStream.OptUsage | ( | void |  | ) |
| inline

Definition at line 1233 of file PLStream.java.

void plplot.core.PLStream.parseopts | ( | String[] | argv,
|  | int | mode
| ) |  |
| inline

Definition at line 686 of file PLStream.java.

void plplot.core.PLStream.pat | ( | int[] | inc,
|  | int[] | del
| ) |  |
| inline

Definition at line 692 of file PLStream.java.

void plplot.core.PLStream.path | ( | int | n,
|  | double | x1,
|  | double | y1,
|  | double | x2,
|  | double | y2
| ) |  |
| inline

Definition at line 698 of file PLStream.java.

void plplot.core.PLStream.plot3d | ( | double[] | x,
|  | double[] | y,
|  | double | z[][],
|  | int | opt,
|  | boolean | side
| ) |  |
| inline

Definition at line 654 of file PLStream.java.

void plplot.core.PLStream.plot3d | ( | double[] | x,
|  | double[] | y,
|  | double | z[][],
|  | int | opt,
|  | int | side
| ) |  |
| inline

Definition at line 1259 of file PLStream.java.

void plplot.core.PLStream.plot3dc | ( | double[] | x,
|  | double[] | y,
|  | double | z[][],
|  | int | opt,
|  | double[] | clevel
| ) |  |
| inline

Definition at line 660 of file PLStream.java.

void plplot.core.PLStream.plot3dcl | ( | double[] | x,
|  | double[] | y,
|  | double | z[][],
|  | int | opt,
|  | double[] | clevel,
|  | int | ixstart,
|  | int[] | indexymin,
|  | int[] | indexymax
| ) |  |
| inline

Definition at line 666 of file PLStream.java.

void plplot.core.PLStream.poin | ( | double[] | x,
|  | double[] | y,
|  | int | code
| ) |  |
| inline

Definition at line 704 of file PLStream.java.

void plplot.core.PLStream.poin3 | ( | double[] | x,
|  | double[] | y,
|  | double[] | z,
|  | int | code
| ) |  |
| inline

Definition at line 710 of file PLStream.java.

void plplot.core.PLStream.poly3 | ( | double[] | x,
|  | double[] | y,
|  | double[] | z,
|  | boolean[] | draw,
|  | boolean | ifcc
| ) |  |
| inline

Definition at line 716 of file PLStream.java.

void plplot.core.PLStream.poly3 | ( | double[] | x,
|  | double[] | y,
|  | double[] | z,
|  | int[] | draw,
|  | int | ifcc
| ) |  |
| inline

Definition at line 1265 of file PLStream.java.

void plplot.core.PLStream.prec | ( | int | setp,
|  | int | prec
| ) |  |
| inline

Definition at line 722 of file PLStream.java.

void plplot.core.PLStream.psty | ( | int | patt | ) |
| inline

Definition at line 728 of file PLStream.java.

void plplot.core.PLStream.ptex | ( | double | x,
|  | double | y,
|  | double | dx,
|  | double | dy,
|  | double | just,
|  | String | text
| ) |  |
| inline

Definition at line 734 of file PLStream.java.

void plplot.core.PLStream.ptex3 | ( | double | x,
|  | double | y,
|  | double | z,
|  | double | dx,
|  | double | dy,
|  | double | dz,
|  | double | sx,
|  | double | sy,
|  | double | sz,
|  | double | just,
|  | String | text
| ) |  |
| inline

Definition at line 740 of file PLStream.java.

double plplot.core.PLStream.randd | ( | void |  | ) |
| inline

Definition at line 746 of file PLStream.java.

void plplot.core.PLStream.replot | ( | void |  | ) |
| inline

Definition at line 752 of file PLStream.java.

void plplot.core.PLStream.ResetOpts | ( | void |  | ) |
| inline

Definition at line 1221 of file PLStream.java.

void plplot.core.PLStream.rgbhls | ( | double | r,
|  | double | g,
|  | double | b,
|  | double[] | h,
|  | double[] | l,
|  | double[] | s
| ) |  |
| inline

Definition at line 1245 of file PLStream.java.

void plplot.core.PLStream.schr | ( | double | def,
|  | double | scale
| ) |  |
| inline

Definition at line 758 of file PLStream.java.

void plplot.core.PLStream.scmap0 | ( | int[] | r,
|  | int[] | g,
|  | int[] | b
| ) |  |
| inline

Definition at line 764 of file PLStream.java.

void plplot.core.PLStream.scmap0a | ( | int[] | r,
|  | int[] | g,
|  | int[] | b,
|  | double[] | a
| ) |  |
| inline

Definition at line 770 of file PLStream.java.

void plplot.core.PLStream.scmap0n | ( | int | ncol0 | ) |
| inline

Definition at line 776 of file PLStream.java.

void plplot.core.PLStream.scmap1 | ( | int[] | r,
|  | int[] | g,
|  | int[] | b
| ) |  |
| inline

Definition at line 782 of file PLStream.java.

void plplot.core.PLStream.scmap1_range | ( | double | min_color,
|  | double | max_color
| ) |  |
| inline

Definition at line 828 of file PLStream.java.

void plplot.core.PLStream.scmap1a | ( | int[] | r,
|  | int[] | g,
|  | int[] | b,
|  | double[] | a
| ) |  |
| inline

Definition at line 788 of file PLStream.java.

void plplot.core.PLStream.scmap1l | ( | boolean | itype,
|  | double[] | intensity,
|  | double[] | coord1,
|  | double[] | coord2,
|  | double[] | coord3,
|  | boolean[] | alt_hue_path
| ) |  |
| inline

Definition at line 794 of file PLStream.java.

void plplot.core.PLStream.scmap1l | ( | boolean | itype,
|  | double[] | intensity,
|  | double[] | coord1,
|  | double[] | coord2,
|  | double[] | coord3
| ) |  |
| inline

Definition at line 801 of file PLStream.java.

void plplot.core.PLStream.scmap1l | ( | int | itype,
|  | double[] | intensity,
|  | double[] | coord1,
|  | double[] | coord2,
|  | double[] | coord3,
|  | int[] | alt_hue_path
| ) |  |
| inline

Definition at line 1276 of file PLStream.java.

void plplot.core.PLStream.scmap1la | ( | boolean | itype,
|  | double[] | intensity,
|  | double[] | coord1,
|  | double[] | coord2,
|  | double[] | coord3,
|  | double[] | a,
|  | boolean[] | alt_hue_path
| ) |  |
| inline

Definition at line 808 of file PLStream.java.

void plplot.core.PLStream.scmap1la | ( | boolean | itype,
|  | double[] | intensity,
|  | double[] | coord1,
|  | double[] | coord2,
|  | double[] | coord3,
|  | double[] | a
| ) |  |
| inline

Definition at line 815 of file PLStream.java.

void plplot.core.PLStream.scmap1n | ( | int | ncol1 | ) |
| inline

Definition at line 822 of file PLStream.java.

void plplot.core.PLStream.scol0 | ( | int | icol0,
|  | int | r,
|  | int | g,
|  | int | b
| ) |  |
| inline

Definition at line 840 of file PLStream.java.

void plplot.core.PLStream.scol0a | ( | int | icol0,
|  | int | r,
|  | int | g,
|  | int | b,
|  | double | a
| ) |  |
| inline

Definition at line 846 of file PLStream.java.

void plplot.core.PLStream.scolbg | ( | int | r,
|  | int | g,
|  | int | b
| ) |  |
| inline

Definition at line 852 of file PLStream.java.

void plplot.core.PLStream.scolbga | ( | int | r,
|  | int | g,
|  | int | b,
|  | double | a
| ) |  |
| inline

Definition at line 858 of file PLStream.java.

void plplot.core.PLStream.scolor | ( | int | color | ) |
| inline

Definition at line 864 of file PLStream.java.

void plplot.core.PLStream.scompression | ( | int | compression | ) |
| inline

Definition at line 870 of file PLStream.java.

void plplot.core.PLStream.sdev | ( | String | devname | ) |
| inline

Definition at line 876 of file PLStream.java.

void plplot.core.PLStream.sdidev | ( | double | mar,
|  | double | aspect,
|  | double | jx,
|  | double | jy
| ) |  |
| inline

Definition at line 882 of file PLStream.java.

void plplot.core.PLStream.sdimap | ( | int | dimxmin,
|  | int | dimxmax,
|  | int | dimymin,
|  | int | dimymax,
|  | double | dimxpmm,
|  | double | dimypmm
| ) |  |
| inline

Definition at line 888 of file PLStream.java.

void plplot.core.PLStream.sdiori | ( | double | rot | ) |
| inline

Definition at line 895 of file PLStream.java.

void plplot.core.PLStream.sdiplt | ( | double | xmin,
|  | double | ymin,
|  | double | xmax,
|  | double | ymax
| ) |  |
| inline

Definition at line 901 of file PLStream.java.

void plplot.core.PLStream.sdiplz | ( | double | xmin,
|  | double | ymin,
|  | double | xmax,
|  | double | ymax
| ) |  |
| inline

Definition at line 907 of file PLStream.java.

void plplot.core.PLStream.seed | ( | long | s | ) |
| inline

Definition at line 913 of file PLStream.java.

void plplot.core.PLStream.sesc | ( | char | esc | ) |
| inline

Definition at line 919 of file PLStream.java.

int plplot.core.PLStream.set_stream | ( | void |  | ) |
| inline

Definition at line 65 of file PLStream.java.

void plplot.core.PLStream.setcontlabelformat | ( | int | lexp,
|  | int | sigdig
| ) |  |
| inline

Definition at line 116 of file PLStream.java.

void plplot.core.PLStream.setcontlabelparam | ( | double | offset,
|  | double | size,
|  | double | spacing,
|  | int | active
| ) |  |
| inline

Definition at line 122 of file PLStream.java.

void plplot.core.PLStream.setopt | ( | String | opt,
|  | String | optarg
| ) |  |
| inline

Definition at line 925 of file PLStream.java.

void plplot.core.PLStream.SetUsage | ( | String | program_string,
|  | String | usage_string
| ) |  |
| inline

Definition at line 1227 of file PLStream.java.

void plplot.core.PLStream.sfam | ( | int | fam,
|  | int | num,
|  | int | bmax
| ) |  |
| inline

Definition at line 931 of file PLStream.java.

void plplot.core.PLStream.sfci | ( | long | fci | ) |
| inline

Definition at line 937 of file PLStream.java.

void plplot.core.PLStream.sfnam | ( | String | fnam | ) |
| inline

Definition at line 943 of file PLStream.java.

void plplot.core.PLStream.sfont | ( | int | family,
|  | int | style,
|  | int | weight
| ) |  |
| inline

Definition at line 949 of file PLStream.java.

void plplot.core.PLStream.shade | ( | double | a[][],
|  | double | left,
|  | double | right,
|  | double | bottom,
|  | double | top,
|  | double | shade_min,
|  | double | shade_max,
|  | int | sh_cmap,
|  | double | sh_color,
|  | double | sh_width,
|  | int | min_color,
|  | double | min_width,
|  | int | max_color,
|  | double | max_width,
|  | boolean | rectangular,
|  | double | pltr[][],
|  | double | OBJECT_DATA[][]
| ) |  |
| inline

Definition at line 965 of file PLStream.java.

void plplot.core.PLStream.shade | ( | double | a[][],
|  | double | left,
|  | double | right,
|  | double | bottom,
|  | double | top,
|  | double | shade_min,
|  | double | shade_max,
|  | int | sh_cmap,
|  | double | sh_color,
|  | double | sh_width,
|  | int | min_color,
|  | double | min_width,
|  | int | max_color,
|  | double | max_width,
|  | int | rectangular,
|  | double | pltr[][],
|  | double | OBJECT_DATA[][]
| ) |  |
| inline

Definition at line 1302 of file PLStream.java.

void plplot.core.PLStream.shades | ( | double | a[][],
|  | double | xmin,
|  | double | xmax,
|  | double | ymin,
|  | double | ymax,
|  | double[] | clevel,
|  | double | fill_width,
|  | int | cont_color,
|  | double | cont_width,
|  | boolean | rectangular,
|  | double | pltr[][],
|  | double | OBJECT_DATA[][]
| ) |  |
| inline

Definition at line 955 of file PLStream.java.

void plplot.core.PLStream.shades | ( | double | a[][],
|  | double | xmin,
|  | double | xmax,
|  | double | ymin,
|  | double | ymax,
|  | double[] | clevel,
|  | double | fill_width,
|  | int | cont_color,
|  | double | cont_width,
|  | int | rectangular,
|  | double | pltr[][],
|  | double | OBJECT_DATA[][]
| ) |  |
| inline

Definition at line 1292 of file PLStream.java.

void plplot.core.PLStream.slabelfunc | ( | PLCallbackLabel | label,
|  | Object | obj
| ) |  |
| inline

Definition at line 977 of file PLStream.java.

void plplot.core.PLStream.slabelfunc | ( | PLCallbackLabel | label | ) |
| inline

Definition at line 983 of file PLStream.java.

void plplot.core.PLStream.smaj | ( | double | def,
|  | double | scale
| ) |  |
| inline

Definition at line 989 of file PLStream.java.

void plplot.core.PLStream.smin | ( | double | def,
|  | double | scale
| ) |  |
| inline

Definition at line 995 of file PLStream.java.

void plplot.core.PLStream.sori | ( | int | ori | ) |
| inline

Definition at line 1001 of file PLStream.java.

void plplot.core.PLStream.spage | ( | double | xp,
|  | double | yp,
|  | int | xleng,
|  | int | yleng,
|  | int | xoff,
|  | int | yoff
| ) |  |
| inline

Definition at line 1007 of file PLStream.java.

void plplot.core.PLStream.spal0 | ( | String | filename | ) |
| inline

Definition at line 1013 of file PLStream.java.

void plplot.core.PLStream.spal1 | ( | String | filename,
|  | boolean | interpolate
| ) |  |
| inline

Definition at line 1019 of file PLStream.java.

void plplot.core.PLStream.spause | ( | boolean | pause | ) |
| inline

Definition at line 1025 of file PLStream.java.

void plplot.core.PLStream.spause | ( | int | pause | ) |
| inline

Definition at line 1314 of file PLStream.java.

void plplot.core.PLStream.sstrm | ( | int | strm | ) |
| inline

Definition at line 1031 of file PLStream.java.

void plplot.core.PLStream.ssub | ( | int | nx,
|  | int | ny
| ) |  |
| inline

Definition at line 1037 of file PLStream.java.

void plplot.core.PLStream.ssym | ( | double | def,
|  | double | scale
| ) |  |
| inline

Definition at line 1043 of file PLStream.java.

void plplot.core.PLStream.star | ( | int | nx,
|  | int | ny
| ) |  |
| inline

Definition at line 1049 of file PLStream.java.

void plplot.core.PLStream.start | ( | String | devname,
|  | int | nx,
|  | int | ny
| ) |  |
| inline

Definition at line 1055 of file PLStream.java.

void plplot.core.PLStream.stransform | ( | PLCallbackCT | coordTrans,
|  | Object | data
| ) |  |
| inline

Definition at line 1061 of file PLStream.java.

void plplot.core.PLStream.string | ( | double[] | x,
|  | double[] | y,
|  | String | string
| ) |  |
| inline

Definition at line 1067 of file PLStream.java.

void plplot.core.PLStream.string3 | ( | double[] | x,
|  | double[] | y,
|  | double[] | z,
|  | String | string
| ) |  |
| inline

Definition at line 1073 of file PLStream.java.

void plplot.core.PLStream.stripa | ( | int | id,
|  | int | pen,
|  | double | x,
|  | double | y
| ) |  |
| inline

Definition at line 1079 of file PLStream.java.

void plplot.core.PLStream.stripc | ( | int[] | id,
|  | String | xspec,
|  | String | yspec,
|  | double | xmin,
|  | double | xmax,
|  | double | xjump,
|  | double | ymin,
|  | double | ymax,
|  | double | xlpos,
|  | double | ylpos,
|  | boolean | y_ascl,
|  | boolean | acc,
|  | int | colbox,
|  | int | collab,
|  | int[] | colline,
|  | int[] | styline,
|  | String[] | legline,
|  | String | labx,
|  | String | laby,
|  | String | labtop
| ) |  |
| inline

Definition at line 1085 of file PLStream.java.

void plplot.core.PLStream.stripc | ( | int[] | id,
|  | String | xspec,
|  | String | yspec,
|  | double | xmin,
|  | double | xmax,
|  | double | xjump,
|  | double | ymin,
|  | double | ymax,
|  | double | xlpos,
|  | double | ylpos,
|  | int | y_ascl,
|  | int | acc,
|  | int | colbox,
|  | int | collab,
|  | int[] | colline,
|  | int[] | styline,
|  | String[] | legline,
|  | String | labx,
|  | String | laby,
|  | String | labtop
| ) |  |
| inline

Definition at line 1320 of file PLStream.java.

void plplot.core.PLStream.stripd | ( | int | id | ) |
| inline

Definition at line 1098 of file PLStream.java.

void plplot.core.PLStream.styl | ( | int[] | mark,
|  | int[] | space
| ) |  |
| inline

Definition at line 1104 of file PLStream.java.

void plplot.core.PLStream.surf3d | ( | double[] | x,
|  | double[] | y,
|  | double | z[][],
|  | int | opt,
|  | double[] | clevel
| ) |  |
| inline

Definition at line 673 of file PLStream.java.

void plplot.core.PLStream.surf3dl | ( | double[] | x,
|  | double[] | y,
|  | double | z[][],
|  | int | opt,
|  | double[] | clevel,
|  | int | ixstart,
|  | int[] | indexymin,
|  | int[] | indexymax
| ) |  |
| inline

Definition at line 679 of file PLStream.java.

void plplot.core.PLStream.svect | ( | double[] | arrow_x,
|  | double[] | arrow_y,
|  | boolean | fill
| ) |  |
| inline

Definition at line 1110 of file PLStream.java.

void plplot.core.PLStream.svect | ( | double[] | arrow_x,
|  | double[] | arrow_y,
|  | int | fill
| ) |  |
| inline

Definition at line 1333 of file PLStream.java.

void plplot.core.PLStream.svpa | ( | double | xmin,
|  | double | xmax,
|  | double | ymin,
|  | double | ymax
| ) |  |
| inline

Definition at line 1116 of file PLStream.java.

void plplot.core.PLStream.sxax | ( | int | digmax,
|  | int | digits
| ) |  |
| inline

Definition at line 1122 of file PLStream.java.

void plplot.core.PLStream.syax | ( | int | digmax,
|  | int | digits
| ) |  |
| inline

Definition at line 1128 of file PLStream.java.

void plplot.core.PLStream.sym | ( | double[] | x,
|  | double[] | y,
|  | int | code
| ) |  |
| inline

Definition at line 1134 of file PLStream.java.

void plplot.core.PLStream.szax | ( | int | digmax,
|  | int | digits
| ) |  |
| inline

Definition at line 1140 of file PLStream.java.

void plplot.core.PLStream.text | ( | void |  | ) |
| inline

Definition at line 1146 of file PLStream.java.

void plplot.core.PLStream.timefmt | ( | String | fmt | ) |
| inline

Definition at line 1152 of file PLStream.java.

void plplot.core.PLStream.vasp | ( | double | aspect | ) |
| inline

Definition at line 1158 of file PLStream.java.

void plplot.core.PLStream.vect | ( | double | u[][],
|  | double | v[][],
|  | double | scale,
|  | double | pltr[][],
|  | double | OBJECT_DATA[][]
| ) |  |
| inline

Definition at line 1164 of file PLStream.java.

void plplot.core.PLStream.vpas | ( | double | xmin,
|  | double | xmax,
|  | double | ymin,
|  | double | ymax,
|  | double | aspect
| ) |  |
| inline

Definition at line 1170 of file PLStream.java.

void plplot.core.PLStream.vpor | ( | double | xmin,
|  | double | xmax,
|  | double | ymin,
|  | double | ymax
| ) |  |
| inline

Definition at line 1176 of file PLStream.java.

void plplot.core.PLStream.vsta | ( | void |  | ) |
| inline

Definition at line 1182 of file PLStream.java.

void plplot.core.PLStream.w3d | ( | double | basex,
|  | double | basey,
|  | double | height,
|  | double | xmin0,
|  | double | xmax0,
|  | double | ymin0,
|  | double | ymax0,
|  | double | zmin0,
|  | double | zmax0,
|  | double | alt,
|  | double | az
| ) |  |
| inline

Definition at line 1188 of file PLStream.java.

void plplot.core.PLStream.width | ( | int | width | ) |
| inline

Definition at line 1197 of file PLStream.java.

void plplot.core.PLStream.wind | ( | double | xmin,
|  | double | xmax,
|  | double | ymin,
|  | double | ymax
| ) |  |
| inline

Definition at line 1203 of file PLStream.java.

void plplot.core.PLStream.xormod | ( | boolean | mode,
|  | boolean[] | status
| ) |  |
| inline

Definition at line 1209 of file PLStream.java.

void plplot.core.PLStream.xormod | ( | int | mode,
|  | int[] | status
| ) |  |
| inline

Definition at line 1339 of file PLStream.java.

The documentation for this class was generated from the following file:

- PLStream.java